cd [mkdir drcl.comp.Component /ex1]
puts "creating topology..."
set link_ [java::new drcl.inet.Link]
$link_ setPropDelay 0.0005; # 0.5 ms por link, 3 links.
set adjMatrix_ [java::new {int[][]} 13 {{1 2} {0 3 4 5 6 7 8 9 10 11 12} {0} {1} {1} {1} {1} {1} {1} {1} {1} {1} {1}}]
java::call drcl.inet.InetUtil createTopology [! .] $adjMatrix_ $link_

puts "Build..."
#NodeBuilder
set nb1 [mkdir drcl.inet.NodeBuilder .nodeBuilder]
! $nb1 setBandwidth 3000000
! $nb1 setLinkEmulationEnabled true
! $nb1 setLinkPropDelay 0.070
! $nb1 setMTU 512
$nb1 build [! n?]



set nb2 [mkdir drcl.inet.NodeBuilder .nodeBuilder2]
! $nb2 setBandwidth 100000000
! $nb2 setLinkEmulationEnabled true
! $nb2 setLinkPropDelay 0.005
! $nb2 setMTU 1024
$nb2 build [! h2] {
udp drcl.inet.transport.UDP
server 1001/udp es.simTacticat.centralizado.CentralizedServer
}
$nb2 build [! h3-12] {
udp drcl.inet.transport.UDP
client 501/udp es.simTacticat.centralizado.CentralizedClient $sim
}



puts "set up static routes..."
java::call drcl.inet.InetUtil setupRoutes [! h2] [! h12] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h2] [! h3] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h2] [! h4] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h2] [! h5] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h2] [! h6] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h2] [! h7] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h2] [! h8] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h2] [! h9] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h2] [! h10] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h2] [! h11] "bidirection"



set plot_ [mkdir drcl.comp.tool.Plotter .plot]
set tm0_ [mkdir drcl.net.tool.TrafficMonitor .tm0]
set tm1_ [mkdir drcl.net.tool.TrafficMonitor .tm1]
connect -c h2/server/down@ -to $tm0_/in@
connect -c h12/client/6@up -to $tm1_/in@
connect -c $tm0_/bytecount@ -to $plot_/0@0
connect -c $tm1_/bytecount@ -to $plot_/1@0
set sim [attach_simulator .]




! h12/client send_connect 2 1001;
! h3/client send_connect 2 1001;
! h4/client send_connect 2 1001;
! h5/client send_connect 2 1001;
! h6/client send_connect 2 1001;
! h7/client send_connect 2 1001;
! h8/client send_connect 2 1001;
! h9/client send_connect 2 1001;
! h10/client send_connect 2 1001;
! h11/client send_connect 2 1001;
! h2/server esperar;
! h2/server sincronizar;
! h2/server esperar;
! h2/server sincronizar;
! h2/server esperar;
! h2/server sincronizar;
! h2/server esperar;
! h2/server sincronizar;
! h2/server esperar;
! h2/server sincronizar;
! h2/server esperar;
! h2/server sincronizar;
! h2/server esperar;
! h2/server sincronizar;
! h2/server esperar;
! h2/server sincronizar;
! h2/server esperar;
! h2/server sincronizar;
! h2/server esperar;
! h2/server sincronizar;
! h2/server esperar;
puts "Finalizado..."
run .
